Subject: Re: [RFC PATCH 0/3] e1000/e1000e/igb MDI-X control implementation

From: Ben Hutchings <[email-masked]>
Date: Thu, 18 Nov 2010 00:14:13 +0000

On Wed, 2010-11-17 at 15:29 -0800, Jesse Brandeburg wrote:
> this patch series is RFC for implemenation, I've briefly tested
> it to make sure I still get link after setting MDI-X and I see
> the status change in ethtool.
> 
> The basic idea is to fill out the MDI-X read functionality with
> some write functionality.
> 
> the e1000e patch is actually what drove this change as some users
> have found wonky switches that must have MDI/MDI-X forced.
[...]

I object to all these for the reasons explained in my comments on the
changes to the ethtool utility.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.